.cookie-banner {
  display: none;
  z-index: 99999;
}

.cookie-banner.show {
  display: block;
}

.cookie-text {
  max-width: 50%;
}

.cookie-modal {
  inset: 0;
  display: flex;
  z-index: 9999;
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
  transform: scale(0.96);
  transition:
    opacity 0.4s ease,
    visibility 0.4s ease,
    transform 0.4s ease;
}

.cookie-modal.show {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
  transform: scale(1);
}

.cookie-modal-header {
  border-bottom: 1px solid #03ffa138;
}

.cookie-option {
  border-bottom: 1px solid rgb(255 255 255 / 17%);
}

.cookie-option:last-child {
  border-bottom: none;
}

/* Toggle Switch */
.switch {
  position: relative;
  width: 52px;
  height: 28px;
}

.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

.cookies-slider {
  position: absolute;
  inset: 0;
  background: #444;
  border-radius: 999px;
  cursor: pointer;
  transition: 0.25s ease;
}

.cookies-slider::before {
  content: "";
  position: absolute;
  width: 22px;
  height: 22px;
  left: 3px;
  top: 3px;
  background: #ffffff;
  border-radius: 50%;
  transition: 0.25s ease;
}

.switch input:checked + .cookies-slider {
  background: #03ffa1d6;
}

.switch input:checked + .cookies-slider::before {
  transform: translateX(24px);
}

.cookie-modal-footer {
  border-top: 1px solid #03ffa138;
}

.modal-content {
  max-width: 75%;
}

/* Change settings button */
.change-cookie-btn {
  left: 20px;
  bottom: 20px;
  z-index: 9999;
  cursor: pointer;
  display: none;
}

.change-cookie-btn.show {
  display: block;
}

@media screen and (max-width: 654px) {
  .switch {
    width: 45px;
    height: 21px;
  }

  .cookies-slider::before {
    width: 15px;
    height: 15px;
  }
}

@media screen and (max-width: 768px) {
  .cookie-text {
    max-width: 100%;
  }
}
